using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Chuck : MonoBehaviour
{
    public SleepDepth sleepDepth;
    
    public static AudioSource[] breathing;
    private Animator _animator;

    public AudioSource breathing12;
    public AudioSource breathing18;
    public AudioSource breathing24;

    private void Awake()
    {
        Chuck.breathing = new[] {breathing12, breathing18, breathing24};
    }

    // Start is called before the first frame update
    void Start()
    {
        _animator = GetComponentInChildren<Animator>();
    }

    // Update is called once per frame
    void Update()
    {
        _animator.SetFloat("Sleep Depth", sleepDepth.sleepDepth);
    }
    
    
}
